<template>
  <div>
    <label :for="field">
      {{ label }}
      <span v-if="required" aria-hidden="true" class="text-red-error">*</span>
    </label>
    <textarea
      :id="field"
      v-model.trim="message"
      rows="6"
      class="form-textarea block mt-1 w-full"
      :required="required"
      @blur="$emit('blur', { field, value: message })"
    />
    <slot />
  </div>
</template>

<script>
export default {
  name: 'AMessageField',
  props: {
    label: { type: String, default: 'Missatge' },
    validation: { type: String, default: 'required' },
  },
  data: () => ({
    fid: 'message',
    message: null,
  }),
  computed: {
    field() {
      return this.$vnode.data.ref;
    },
    required() {
      return /required/.test(this.validation);
    },
  },
  methods: {
    reset() {
      this.message = null;
    },
  },
};
</script>
